Upstream information

CVE-2009-3379 at MITRE

Description

Multiple unspecified vulnerabilities in libvorbis, as used in Mozilla Firefox 3.5.x before 3.5.4, allow remote attackers to cause a denial of service (application crash) or possibly execute arbitrary code via unknown vectors. NOTE: this might overlap CVE-2009-2663.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 10
Vector AV:N/AC:L/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entries: 522109 [RESOLVED / FIXED], 545277 [RESOLVED / FIXED], 608192 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
  • MozillaFirefox >= 38.4.0esr-51.1
  • MozillaFirefox-translations >= 38.4.0esr-51.1
  • libvorbis0 >= 1.3.3-8.23
  • libvorbis0-32bit >= 1.3.3-8.23
  • libvorbisenc2 >= 1.3.3-8.23
  • libvorbisenc2-32bit >= 1.3.3-8.23
  • libvorbisfile3 >= 1.3.3-8.23
  • libvorbisfile3-32bit >= 1.3.3-8.23
SUSE Linux Enterprise Desktop 12 SP2
  • MozillaFirefox >= 45.4.0esr-81.1
  • MozillaFirefox-translations >= 45.4.0esr-81.1
  • libvorbis0 >= 1.3.3-8.23
  • libvorbis0-32bit >= 1.3.3-8.23
  • libvorbisenc2 >= 1.3.3-8.23
  • libvorbisenc2-32bit >= 1.3.3-8.23
  • libvorbisfile3 >= 1.3.3-8.23
  • libvorbisfile3-32bit >= 1.3.3-8.23
SUSE Linux Enterprise Desktop 12 SP3
  • MozillaFirefox >= 52.2.0esr-108.3
  • MozillaFirefox-translations >= 52.2.0esr-108.3
  • libvorbis0 >= 1.3.3-8.23
  • libvorbis0-32bit >= 1.3.3-8.23
  • libvorbisenc2 >= 1.3.3-8.23
  • libvorbisenc2-32bit >= 1.3.3-8.23
  • libvorbisfile3 >= 1.3.3-8.23
  • libvorbisfile3-32bit >= 1.3.3-8.23
SUSE Linux Enterprise Desktop 12 SP4
  • MozillaFirefox >= 52.9.0esr-109.38.2
  • MozillaFirefox-translations >= 52.9.0esr-109.38.2
  • libvorbis0 >= 1.3.3-10.14.1
  • libvorbis0-32bit >= 1.3.3-10.14.1
  • libvorbisenc2 >= 1.3.3-10.14.1
  • libvorbisenc2-32bit >= 1.3.3-10.14.1
  • libvorbisfile3 >= 1.3.3-10.14.1
  • libvorbisfile3-32bit >= 1.3.3-10.14.1
SUSE Linux Enterprise Desktop 12
  • MozillaFirefox >= 31.1.0esr-1.20
  • MozillaFirefox-translations >= 31.1.0esr-1.20
  • libvorbis0 >= 1.3.3-8.23
  • libvorbis0-32bit >= 1.3.3-8.23
  • libvorbisenc2 >= 1.3.3-8.23
  • libvorbisenc2-32bit >= 1.3.3-8.23
  • libvorbisfile3 >= 1.3.3-8.23
  • libvorbisfile3-32bit >= 1.3.3-8.23
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • MozillaFirefox >= 68.1.0-109.92.1
  • MozillaFirefox-translations-common >= 68.1.0-109.92.1
  • libvorbis-doc >= 1.3.3-10.14.1
  • libvorbis0 >= 1.3.3-10.14.1
  • libvorbis0-32bit >= 1.3.3-10.14.1
  • libvorbisenc2 >= 1.3.3-10.14.1
  • libvorbisenc2-32bit >= 1.3.3-10.14.1
  • libvorbisfile3 >= 1.3.3-10.14.1
  • libvorbisfile3-32bit >= 1.3.3-10.14.1
SUSE Linux Enterprise Module for Basesystem 15 SP1
SUSE Linux Enterprise Module for Basesystem 15 SP2
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • libvorbis-devel >= 1.3.6-4.3.1
  • libvorbis0 >= 1.3.6-4.3.1
  • libvorbisenc2 >= 1.3.6-4.3.1
  • libvorbisfile3 >= 1.3.6-4.3.1
SUSE Linux Enterprise Module for Basesystem 15
  • libvorbis-devel >= 1.3.6-2.16
  • libvorbis0 >= 1.3.6-2.16
  • libvorbisenc2 >= 1.3.6-2.16
  • libvorbisfile3 >= 1.3.6-2.16
SUSE Linux Enterprise Module for Desktop Applications 15
  • MozillaFirefox >= 52.7.3-1.35
  • MozillaFirefox-devel >= 52.7.3-1.35
  • MozillaFirefox-translations-common >= 52.7.3-1.35
  • MozillaFirefox-translations-other >= 52.7.3-1.35
SUSE Linux Enterprise Module for additional PackageHub packages 15 SP2
SUSE Linux Enterprise Module for additional PackageHub packages 15 SP3
  • libvorbis0-32bit >= 1.3.6-4.3.1
  • libvorbisenc2-32bit >= 1.3.6-4.3.1
SUSE Linux Enterprise Server 11 SP1
  • MozillaFirefox >= 3.5.9-0.1.1
  • MozillaFirefox-translations >= 3.5.9-0.1.1
  • mozilla-xulrunner191 >= 1.9.1.9-1.12.1
  • mozilla-xulrunner191-32bit >= 1.9.1.9-1.12.1
  • mozilla-xulrunner191-gnomevfs >= 1.9.1.9-1.12.1
  • mozilla-xulrunner191-translations >= 1.9.1.9-1.12.1
  • mozilla-xulrunner191-x86 >= 1.9.1.9-1.12.1
SUSE Linux Enterprise Server 11 SP2
  • MozillaFirefox >= 10.0-0.3.2
  • MozillaFirefox-translations >= 10.0-0.3.2
  • libvorbis >= 1.2.0-79.13.1
  • libvorbis-32bit >= 1.2.0-79.13.1
  • libvorbis-doc >= 1.2.0-79.13.1
  • libvorbis-x86 >= 1.2.0-79.13.1
SUSE Linux Enterprise Server 11 SP3
  • MozillaFirefox >= 17.0.4esr-0.10.42
  • MozillaFirefox-translations >= 17.0.4esr-0.10.42
  • libvorbis >= 1.2.0-79.20.1
  • libvorbis-32bit >= 1.2.0-79.20.1
  • libvorbis-doc >= 1.2.0-79.20.1
  • libvorbis-x86 >= 1.2.0-79.20.1
SUSE Linux Enterprise Server 11 SP4
  • MozillaFirefox >= 31.7.0esr-0.8.1
  • MozillaFirefox-translations >= 31.7.0esr-0.8.1
  • libvorbis >= 1.2.0-79.20.1
  • libvorbis-32bit >= 1.2.0-79.20.1
  • libvorbis-doc >= 1.2.0-79.20.1
  • libvorbis-x86 >= 1.2.0-79.20.1
SUSE Linux Enterprise Server 11
  • MozillaFirefox >= 3.5.4-1.1.2
  • MozillaFirefox-branding-SLED >= 3.5-1.1.5
  • MozillaFirefox-translations >= 3.5.4-1.1.2
  • gconf2 >= 2.24.0-7.5
  • gconf2-32bit >= 2.24.0-7.5
  • gconf2-x86 >= 2.24.0-7.5
  • libfreebl3 >= 3.12.3.1-1.2.1
  • libfreebl3-32bit >= 3.12.3.1-1.2.1
  • libfreebl3-x86 >= 3.12.3.1-1.2.1
  • libidl >= 0.8.11-2.14
  • libidl-32bit >= 0.8.11-2.14
  • libidl-x86 >= 0.8.11-2.14
  • mozilla-nspr >= 4.8-1.3.1
  • mozilla-nspr-32bit >= 4.8-1.3.1
  • mozilla-nspr-x86 >= 4.8-1.3.1
  • mozilla-nss >= 3.12.3.1-1.2.1
  • mozilla-nss-32bit >= 3.12.3.1-1.2.1
  • mozilla-nss-tools >= 3.12.3.1-1.2.1
  • mozilla-nss-x86 >= 3.12.3.1-1.2.1
  • mozilla-xulrunner190 >= 1.9.0.13-1.1.1
  • mozilla-xulrunner190-32bit >= 1.9.0.13-1.1.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.13-1.1.1
  • mozilla-xulrunner190-translations >= 1.9.0.13-1.1.1
  • mozilla-xulrunner190-x86 >= 1.9.0.13-1.1.1
  • mozilla-xulrunner191 >= 1.9.1.4-2.1.3
  • mozilla-xulrunner191-32bit >= 1.9.1.11-0.1.1
  • mozilla-xulrunner191-gnomevfs >= 1.9.1.4-2.1.3
  • mozilla-xulrunner191-translations >= 1.9.1.4-2.1.3
  • mozilla-xulrunner191-x86 >= 1.9.1.11-0.1.1
  • mozilla-xulrunner192 >= 1.9.2.12-0.6.1
  • mozilla-xulrunner192-32bit >= 1.9.2.12-0.6.1
  • mozilla-xulrunner192-gnome >= 1.9.2.12-0.6.1
  • mozilla-xulrunner192-translations >= 1.9.2.12-0.6.1
  • mozilla-xulrunner192-x86 >= 1.9.2.12-0.6.1
  • orbit2 >= 2.14.16-2.16
  • orbit2-32bit >= 2.14.16-2.16
  • orbit2-x86 >= 2.14.16-2.16
Patchnames:
slessp0-MozillaFirefox
SUSE Linux Enterprise Server 12 SP1
  • MozillaFirefox >= 38.4.0esr-51.1
  • MozillaFirefox-translations >= 38.4.0esr-51.1
  • libvorbis-doc >= 1.3.3-8.23
  • libvorbis0 >= 1.3.3-8.23
  • libvorbis0-32bit >= 1.3.3-8.23
  • libvorbisenc2 >= 1.3.3-8.23
  • libvorbisenc2-32bit >= 1.3.3-8.23
  • libvorbisfile3 >= 1.3.3-8.23
  • libvorbisfile3-32bit >= 1.3.3-8.23
SUSE Linux Enterprise Server 12 SP2
  • MozillaFirefox >= 45.4.0esr-81.1
  • MozillaFirefox-translations >= 45.4.0esr-81.1
  • libvorbis-doc >= 1.3.3-8.6
  • libvorbis0 >= 1.3.3-8.6
  • libvorbis0-32bit >= 1.3.3-8.23
  • libvorbisenc2 >= 1.3.3-8.6
  • libvorbisenc2-32bit >= 1.3.3-8.23
  • libvorbisfile3 >= 1.3.3-8.6
  • libvorbisfile3-32bit >= 1.3.3-8.23
SUSE Linux Enterprise Server 12 SP3
  • MozillaFirefox >= 52.2.0esr-108.3
  • MozillaFirefox-translations >= 52.2.0esr-108.3
  • libvorbis-doc >= 1.3.3-8.6
  • libvorbis0 >= 1.3.3-8.6
  • libvorbis0-32bit >= 1.3.3-8.23
  • libvorbisenc2 >= 1.3.3-8.6
  • libvorbisenc2-32bit >= 1.3.3-8.23
  • libvorbisfile3 >= 1.3.3-8.6
  • libvorbisfile3-32bit >= 1.3.3-8.23
SUSE Linux Enterprise Server 12 SP4
  • MozillaFirefox >= 52.9.0esr-109.38.2
  • MozillaFirefox-translations >= 52.9.0esr-109.38.2
  • libvorbis-doc >= 1.3.3-10.14.1
  • libvorbis0 >= 1.3.3-10.14.1
  • libvorbis0-32bit >= 1.3.3-10.14.1
  • libvorbisenc2 >= 1.3.3-10.14.1
  • libvorbisenc2-32bit >= 1.3.3-10.14.1
  • libvorbisfile3 >= 1.3.3-10.14.1
  • libvorbisfile3-32bit >= 1.3.3-10.14.1
SUSE Linux Enterprise Server 12
  • MozillaFirefox >= 31.1.0esr-1.20
  • MozillaFirefox-translations >= 31.1.0esr-1.20
  • libvorbis-doc >= 1.3.3-8.6
  • libvorbis0 >= 1.3.3-8.6
  • libvorbis0-32bit >= 1.3.3-8.23
  • libvorbisenc2 >= 1.3.3-8.6
  • libvorbisenc2-32bit >= 1.3.3-8.23
  • libvorbisfile3 >= 1.3.3-8.6
  • libvorbisfile3-32bit >= 1.3.3-8.23
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • MozillaFirefox >= 45.4.0esr-81.1
  • MozillaFirefox-translations >= 45.4.0esr-81.1
  • libvorbis-doc >= 1.3.3-8.6
  • libvorbis0 >= 1.3.3-8.6
  • libvorbisenc2 >= 1.3.3-8.6
  • libvorbisfile3 >= 1.3.3-8.6
SUSE Linux Enterprise Server for SAP Applications 11
  • MozillaFirefox >= 3.5.4-1.1.2
  • MozillaFirefox-branding-SLED >= 3.5-1.1.5
  • MozillaFirefox-translations >= 3.5.4-1.1.2
  • gconf2 >= 2.24.0-7.5
  • gconf2-32bit >= 2.24.0-7.5
  • gconf2-x86 >= 2.24.0-7.5
  • libfreebl3 >= 3.12.3.1-1.2.1
  • libfreebl3-32bit >= 3.12.3.1-1.2.1
  • libfreebl3-x86 >= 3.12.3.1-1.2.1
  • libidl >= 0.8.11-2.14
  • libidl-32bit >= 0.8.11-2.14
  • libidl-x86 >= 0.8.11-2.14
  • mozilla-nspr >= 4.8-1.3.1
  • mozilla-nspr-32bit >= 4.8-1.3.1
  • mozilla-nspr-x86 >= 4.8-1.3.1
  • mozilla-nss >= 3.12.3.1-1.2.1
  • mozilla-nss-32bit >= 3.12.3.1-1.2.1
  • mozilla-nss-tools >= 3.12.3.1-1.2.1
  • mozilla-nss-x86 >= 3.12.3.1-1.2.1
  • mozilla-xulrunner190 >= 1.9.0.13-1.1.1
  • mozilla-xulrunner190-32bit >= 1.9.0.13-1.1.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.13-1.1.1
  • mozilla-xulrunner190-translations >= 1.9.0.13-1.1.1
  • mozilla-xulrunner190-x86 >= 1.9.0.13-1.1.1
  • mozilla-xulrunner191 >= 1.9.1.4-2.1.3
  • mozilla-xulrunner191-32bit >= 1.9.1.4-2.1.3
  • mozilla-xulrunner191-gnomevfs >= 1.9.1.4-2.1.3
  • mozilla-xulrunner191-translations >= 1.9.1.4-2.1.3
  • mozilla-xulrunner191-x86 >= 1.9.1.11-0.1.1
  • mozilla-xulrunner192 >= 1.9.2.12-0.6.1
  • mozilla-xulrunner192-32bit >= 1.9.2.12-0.6.1
  • mozilla-xulrunner192-gnome >= 1.9.2.12-0.6.1
  • mozilla-xulrunner192-translations >= 1.9.2.12-0.6.1
  • mozilla-xulrunner192-x86 >= 1.9.2.12-0.6.1
  • orbit2 >= 2.14.16-2.16
  • orbit2-32bit >= 2.14.16-2.16
  • orbit2-x86 >= 2.14.16-2.16
Patchnames:
slessp0-MozillaFirefox
SUSE Linux Enterprise Software Development Kit 11 SP4
  • MozillaFirefox-devel >= 31.7.0esr-0.8.1
  • libvorbis-devel >= 1.2.0-79.20.1
SUSE Linux Enterprise Software Development Kit 12 SP1
  • MozillaFirefox-devel >= 38.4.0esr-51.1
  • libvorbis-devel >= 1.3.3-8.23
SUSE Linux Enterprise Software Development Kit 12 SP2
  • MozillaFirefox-devel >= 45.4.0esr-81.1
  • libvorbis-devel >= 1.3.3-8.6
SUSE Linux Enterprise Software Development Kit 12 SP3
  • MozillaFirefox-devel >= 52.2.0esr-108.3
  • libvorbis-devel >= 1.3.3-8.6
SUSE Linux Enterprise Software Development Kit 12 SP4
  • MozillaFirefox-devel >= 52.9.0esr-109.38.2
  • libvorbis-devel >= 1.3.3-10.14.1
SUSE Linux Enterprise Software Development Kit 12 SP5
  • MozillaFirefox-devel >= 68.1.0-109.92.1
  • libvorbis-devel >= 1.3.3-10.14.1
SUSE Linux Enterprise Software Development Kit 12
  • MozillaFirefox-devel >= 31.1.0esr-1.20
  • libvorbis-devel >= 1.3.3-8.23
openSUSE Leap 15.0
  • MozillaFirefox >= 60.0-lp150.2.2
  • MozillaFirefox-translations-common >= 60.0-lp150.2.2
  • MozillaFirefox-translations-other >= 60.0-lp150.2.2
  • libvorbis0 >= 1.3.6-lp150.2.4
  • libvorbisenc2 >= 1.3.6-lp150.2.4
  • libvorbisfile3 >= 1.3.6-lp150.2.4
Patchnames:
openSUSE Leap 15.0 GA MozillaFirefox-60.0-lp150.2.2
openSUSE Leap 15.0 GA libvorbis0-1.3.6-lp150.2.4
openSUSE Tumbleweed
  • MozillaFirefox >= 50.1.0-1.1
  • MozillaFirefox-branding-upstream >= 50.1.0-1.1
  • MozillaFirefox-buildsymbols >= 50.1.0-1.1
  • MozillaFirefox-devel >= 50.1.0-1.1
  • MozillaFirefox-translations-common >= 50.1.0-1.1
  • MozillaFirefox-translations-other >= 50.1.0-1.1
  • libvorbis-devel >= 1.3.5-2.1
  • libvorbis-devel-32bit >= 1.3.5-2.1
  • libvorbis-doc >= 1.3.5-2.1
  • libvorbis0 >= 1.3.5-2.1
  • libvorbis0-32bit >= 1.3.5-2.1
  • libvorbisenc2 >= 1.3.5-2.1
  • libvorbisenc2-32bit >= 1.3.5-2.1
  • libvorbisfile3 >= 1.3.5-2.1
  • libvorbisfile3-32bit >= 1.3.5-2.1
Patchnames:
openSUSE Tumbleweed GA MozillaFirefox-50.1.0-1.1
openSUSE Tumbleweed GA libvorbis-devel-1.3.5-2.1


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLED-10-SP3 libvorbis Released
SLED-10-SP4 libvorbis Released
SLES for SAP Applications libvorbis Released
SLES-10-SP3 libvorbis Released
SLES-10-SP4 libvorbis Released
SLES_LTSS-10-SP4 libvorbis Released
SUSE CaaS Platform 4.0 MozillaFirefox In progress
SUSE Enterprise Storage 6 MozillaFirefox In progress
SUSE Linux Enterprise Desktop 11 libvorbis Released
SUSE Linux Enterprise Desktop 11 SP1 libvorbis Released
SUSE Linux Enterprise Desktop 11 SP2 libvorbis Released
SUSE Linux Enterprise Desktop 11 SP3 libvorbis Released
SUSE Linux Enterprise Desktop 11 SP4 libvorbis Released
SUSE Linux Enterprise Enterprise Server 11 SP1 for SAP Enterprise Search libvorbis Released
SUSE Linux Enterprise High Performance Computing 15 LTSS MozillaFirefox In progress
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS MozillaFirefox In progress
SUSE Linux Enterprise Server 11 SP1 libvorbis Released
SUSE Linux Enterprise Server 11 SP1 LTSS libvorbis Released
SUSE Linux Enterprise Server 11 SP2 libvorbis Released
SUSE Linux Enterprise Server 11 SP2 LTSS libvorbis Released
SUSE Linux Enterprise Server 11 SP2 for VMware libvorbis Released
SUSE Linux Enterprise Server 11 SP3 libvorbis Released
SUSE Linux Enterprise Server 11 SP3 LTSS libvorbis Released
SUSE Linux Enterprise Server 11 SP3 for VMware libvorbis Released
SUSE Linux Enterprise Server 11 SP4 libvorbis Released
SUSE Linux Enterprise Server 11 SP4 LTSS libvorbis Released
SUSE Linux Enterprise Server 15 ESPOS MozillaFirefox In progress
SUSE Linux Enterprise Server 15 LTSS MozillaFirefox In progress
SUSE Linux Enterprise Server 15 SP1 LTSS MozillaFirefox In progress
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 MozillaFirefox In progress
SUSE Linux Enterprise Server for SAP Applications 15 MozillaFirefox In progress
SUSE Linux Enterprise Server for SAP Applications 15 SP1 MozillaFirefox In progress
SUSE Linux Enterprise Server for SAP Business All-in-One 11 SP1 libvorbis Released
SUSE Linux Enterprise Software Development Kit 11 libvorbis Released
SUSE Linux Enterprise Software Development Kit 11 SP1 libvorbis Released
SUSE Linux Enterprise Software Development Kit 11 SP2 libvorbis Released
SUSE Linux Enterprise Software Development Kit 11 SP3 libvorbis Released
SUSE Linux Enterprise Software Development Kit 11 SP4 libvorbis Released
SUSE Manager Proxy 4.0 MozillaFirefox In progress
SUSE Manager Retail Branch Server 4.0 MozillaFirefox In progress
SUSE Manager Server 4.0 MozillaFirefox In progress